This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 829678 - USB mouse pointer gets stuck
USB mouse pointer gets stuck
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-07 05:42 EDT by Tim Waugh
Modified: 2012-09-12 08:00 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-11 11:59:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
dmesg outpout (71.96 KB, text/plain)
2012-06-17 11:40 EDT, Peter H. Jones
no flags Details
dmesg outpout (75.14 KB, text/plain)
2012-06-17 11:42 EDT, Peter H. Jones
no flags Details
dmesg output (73.44 KB, text/plain)
2012-06-17 11:45 EDT, Peter H. Jones
no flags Details

  None (edit)
Description Tim Waugh 2012-06-07 05:42:14 EDT
Description of problem:
Moving the mouse does not always cause the pointer to start moving straight away. Sometimes there is a second or two where it stays put. This eventually gets more frequent until finally the pointer stops responding to mouse movements altogether.

Version-Release number of selected component (if applicable):
kernel-3.4.0-1.fc17.x86_64

How reproducible:
100%

Additional info:
Works fine with booting back into kernel-3.3.7-1.fc17.x86_64.

Bus 001 Device 010: ID 046d:c069 Logitech, Inc.
Comment 1 Peter H. Jones 2012-06-17 11:40:37 EDT
Created attachment 592443 [details]
dmesg outpout
Comment 2 Peter H. Jones 2012-06-17 11:42:18 EDT
Created attachment 592444 [details]
dmesg outpout
Comment 3 Peter H. Jones 2012-06-17 11:45:14 EDT
Created attachment 592445 [details]
dmesg output
Comment 4 Peter H. Jones 2012-06-17 11:47:00 EDT
Patch to prevent automatic update to kernels resulting i problems:
diff -c yum.conf.std yum.conf
*** yum.conf.std	2012-06-07 11:50:49.000000000 -0400
--- yum.conf	2012-06-17 11:28:05.307139119 -0400
***************
*** 9,14 ****
--- 9,18 ----
  plugins=1
  installonly_limit=3
  
+ #Exclude bad kernel
+ #P. Jones June 17, 2012
+ exclude=kernel-3.4.0-1.fc17,kernel-3.4.2-4.fc17
+ 
  #  This is the default, if you make this bigger yum won't see if the metadata
  # is newer on the remote and so you'll "gain" the bandwidth of not having to
  # download the new metadata and "pay" for it by yum not having correct
Comment 5 Peter H. Jones 2012-06-17 20:32:22 EDT
Oops. Above patch is reversed. In a normal forward patch file, the file names would have been yum.conf and yum.conf.<modified> .
Comment 6 Tim Waugh 2012-06-18 05:58:04 EDT
I no longer see this problem when using kernel-3.4.2-4.fc17.x86_64.
Comment 7 Josh Boyer 2012-06-18 08:04:05 EDT
Peter, there's nothing in your dmesg attachments that looks odd.  Did you upload them to the right bug?

Also, have you updated udev to udev-182-3.fc17 ?
Comment 8 Peter H. Jones 2012-09-12 08:00:06 EDT
I will have acces to the machine where this problem occurs in a couple of weeks. Meahwhile, I've found plugging the mouse into the USB port on the front makes the problem occur less frequently.

Note You need to log in before you can comment on or make changes to this bug.